﻿@using eCommerce.Services.Model.Enums
@model IEnumerable<eCommerce.Services.Model.Rma>
@{
    ViewBag.Title = "Mis Reclamos";
}

<div class="container">

    <div class="inner-xs">
        <div class="page-header">
            <h2 class="page-title">Mis Reclamos</h2>
            <a class="le-button add_to_cart_button  product_type_simple" href="/Account/CreateRma/-1">Realizar un nuevo reclamo</a>        
        </div>
    </div>
    
    <div class="table-responsive inner-bottom-xs">

        <table class="table table-bordered table-striped compare-list">
            <thead>
                <tr>
                    <th class="text-center" width="3%" >#</th>
                    <th class="text-center" width="18%" >Fecha</th>
                    <th class="text-center" width="10%">Estado</th>
                    <th class="text-center" width="40%">Observaciones</th>
                    <th class="text-center" width="20%">Acci&oacute;n</th>
                </tr>
            </thead>
            <tbody>
                @{ int i = 1;}
                @foreach (var item in Model)
                {
                    <tr class="comparison-item">
                        <td class="text-center">@item.RmaId</td>
                        <td class="text-center">@item.Created.ToString()</td>
                        <td class="text-center">
                        @{string status = "";}
                        @switch (item.RmaStatusId)
                        {
                            case 1:
                                status = "Pendiente";
                                        break;
                            case 2:
                                status = "Resuelto";
                                            break;
                            case 3:
                                status = "Rechazado";
                                break;

                            default:
                                break;
                        }
                        @status</td>
                        <td class="text-left" >@item.Observations</td>
                        <td class="comparison-item-cell even">
                            <div class="add-cart-button text-center" style="padding-bottom:0px">
                                <a id="grabar" class="le-button add_to_cart_button  product_type_simple" href="/Account/CreateRma/@item.RmaId">Ver Detalle</a>
                            </div>
                        </td>
                        
                    </tr>
                    i++;
                }
            </tbody>
        </table>
    </div><!-- /.table-responsive -->
</div>


@section Scripts {
    

    </script>
}